#include <iostream>
#include<fstream>
#include <vector>
using namespace std;
int main()
{
	long long int n;
	vector<bool> nt(100000,true);
	ifstream fi("De001_2.inp");
	fi>>n;
	ofstream fo("De001_2.out");
		for(int t=2; t<n;t++)
		{
			if(nt[t]==true)
			{
				for(int i=t*2;i<n;i+=t)
				{
					nt[i]=false;
				}
			}
		}
	for(int y=2;y<n;y++)
	{
		if(nt[y]==true)
		{
			fo<<y<<endl;
		}
	}
}


